Subject: RE: [mobile-ip] new draft

From: "Hesham Soliman (ERA)" <[email-masked]>
Date: Mon, 16 Jul 2001 15:29:24 +0200

> > > (Suppose the MN offers a service on a dedicated TCP port x. Two
> > > individual applications running on the CN establish a connection to
> > > the MN's TCP port x. In this case, the MN cannot redirect one of
> > > these flows to a different CoA)
> > >
> >         => Right, this is a case we didn't actually consider. Or consideration
> >         was for the case where you want an application to run on
> >         one interface for all CNs.
> >         But I can see that this case (you mention above) maybe important
> >         as well. So if we add a filed for the src address and allow for
> >         an option where the MN says "forward all flows to this dest
> >         address regardless of what the source is".
> >          guess this is more applicable to case 2 below, because
> >         if the BU is sent to the CN there is only one source. Or
> >         do you want to split the traffic from the CN as well ?
> >         I think this is unnecessary.
> 
> IMHO it should work for all flows, regardless if they're sent by a 
> single CN or different CNs.
> 
> Remember: it's the "Flow movement suboption" and not the "Flow 
> movement suboption applicable to all flows except those originated 
> at the same CN" :-)
> 
	=> It will work for all flows but what I was saying (and said it with
	200 spelling errors and typos !) is that if the MN is sending 
	the BU to a node other than the CN (HA or MAP) then 
	in many cases you might not care who your client is 
	so you just request that all packets to port X (where you are
	a server) should be forwarded to CoA_1. 
	This would save some work in the MAP/HA trying to identify 
	what the src address is when it doesn't really matter for 
	the MN. So maybe we could say something like "if the 
	src addr is FFFF .... (or some reserved value) all packets
	destined to port number X can be forwarded to CoA_2
	without checking the src". Is this OK ?

> >         => Got it. I'll add a src address field. This should cover all
> >         cases right ? I don't think we really need a src port number.
> >         Just trying to save bits.
> 
> Well, that's only 16 additional tiny bits. 
> 
	=> :). It maybe 16 X 4 or 5.

> If you really want to save 
> header space, then you should consider to specify 2 sub-options. One 
> for flows identified by (src/dst addr, src/dst port and protocol) 
> and one for flows identified by (src_addr, flowlabel). 
> 
	=> Yes that was also planned for the next revision actually, 
	thanks for bringing it up. 

	Thanks, 
	Hesham